#include <stdlib.h>
#include "defines.h"
#include "menu.h"

int message0(int *x,int *y,unchar *ms[],int all,MCOLORS *colors,int mode)
/* スクロールなし、キー入力待ち付きメッセージ */
/* [RET] return : メッセージ画面は...mode=0:リターン時に消える , 1=残ったまま */
{
int n,wsp=0,llt=0,clm=1,msatr[1],rcode[MRCODE];
_MENU_DATA mdata;
unchar *wget;
	set_dms_data(&mdata);
	if (all>20) all=20;
	n=all;
	wmenu(x,y,1,&wsp,&llt,n,all,&clm,ms,msatr,&mdata,colors,&wget,rcode);
	if (mode==0) puttext(*x,*y,wget);
	free(wget);
	return(rcode[0]);
}
